Bug 210458 - resource agent scripts should be marked as configuration
Summary: resource agent scripts should be marked as configuration
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: rgmanager   
(Show other bugs)
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Feist
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-10-12 09:15 UTC by Nils Philippsen
Modified: 2009-04-16 20:02 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 16:13:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nils Philippsen 2006-10-12 09:15:15 UTC
Description of problem:

The resource agent scripts (/usr/share/cluster/*) should be marked as
configuration (%config ...) so that local enhancements/fixes don't get lost when
updating the software.

Version-Release number of selected component (if applicable):
rgmanager-1.9.53

How reproducible:
Easy

Steps to Reproduce:
1. change something in /usr/share/cluster
2. update rgmanager
  
Actual results:
changes are lost

Expected results:
changed file should be backed up (*.rpmsave) or new ones should be written under
a different name (*.rpmnew)

Comment 1 Lon Hohberger 2006-10-17 14:25:43 UTC
%config /usr/share/cluster/*sh ?

Comment 2 Chris Feist 2006-10-18 16:13:30 UTC
I've set the option to %config /usr/share/cluster/* (instead of *.sh), if it
should be *.sh please re-open.  This should be fixed in the next release of
rgmanager.

Comment 3 Nils Philippsen 2006-10-19 07:55:31 UTC
Would that be RHEL4.5 or 4.6 or RHEL5?

Comment 4 Chris Feist 2006-10-19 16:34:10 UTC
It will most likely be in RHEL4.5.


Note You need to log in before you can comment on or make changes to this bug.